Page MenuHomePhabricator

Merge efreet_mime efreet_trash into efreet
ClosedPublic

Authored by bu5hm4n on May 10 2020, 6:57 AM.

Details

Summary

efreet_mime and efreet_trash are now included in libefreet.so. There are
compatible libs for libefreet_mime.so libefreet_trash.so, which simple
drag in libefreet.so. .pc files also are in place for compatibility.

efreet_init & shutdown now initializes and shutdowns trash and mime.
The old init functions now simply call efreet_init, efreet_init will
then init the trash or mime libs.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.May 10 2020, 6:57 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.May 10 2020, 6:57 AM
stefan_schmidt accepted this revision.May 14 2020, 6:41 AM
stefan_schmidt added reviewers: raster, cedric, vtorri.
stefan_schmidt added a subscriber: stefan_schmidt.

To me this looks good and a sane move to have these two libs inside efreet itself.
If there was a really good reason we lost in history why this was split it would be good to bring it up here now. (Adding some more reviewers)

Anyone knows if Sebastian Dransfeld has a phab ID and if he is still active? The last commit I see from him in efl is form 2015.

This revision is now accepted and ready to land.May 14 2020, 6:41 AM

@englebass any comment on this? Or should we go ahead and merge these?

Just something to drop into the round here:

Should we add a option to *not* add the compatibility bits, some packages may want to reduce the .so's more agressivly down, @simotek what should be done there from the POV of packaging?

Closed by commit rEFL3ec1101652a9: Merge efreet_mime efreet_trash into efreet (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMay 26 2020, 1:19 AM
This revision was automatically updated to reflect the committed changes.